> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List signable templates



## OpenAPI

````yaml /openapi/signable-templates.json get /signable-templates
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /signable-templates:
    get:
      tags:
        - SignableTemplates
      summary: List signable templates
      operationId: signableTemplates.list
      parameters:
        - name: category
          in: query
          schema:
            enum:
              - privacy_notice
              - nda
              - contract
              - declaration
              - other
            type: string
          allowEmptyValue: true
          allowReserved: true
        - name: status
          in: query
          schema:
            enum:
              - active
              - archived
            type: string
            default: active
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    organizationId:
                      type: string
                    environment:
                      enum:
                        - test
                        - live
                      type: string
                    category:
                      enum:
                        - privacy_notice
                        - nda
                        - contract
                        - declaration
                        - other
                      type: string
                    scope:
                      type: string
                    name:
                      type: string
                    description:
                      anyOf:
                        - type: string
                        - type: 'null'
                    filename:
                      type: string
                    storagePath:
                      type: string
                    sha256:
                      type: string
                    size:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                      exclusiveMinimum: 0
                    version:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                      exclusiveMinimum: 0
                    status:
                      enum:
                        - active
                        - superseded
                        - archived
                      type: string
                    activeFrom:
                      type: string
                      format: date-time
                    supersededAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: 'null'
                    supersededByTemplateId:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: 'null'
                    places:
                      type: array
                      maxItems: 50
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            maxLength: 64
                            pattern: >-
                              ^(signature|recipient_name|recipient_email|envelope_completed_date)_\d+$
                          type:
                            enum:
                              - signature
                              - recipient_name
                              - recipient_email
                              - envelope_completed_date
                            type: string
                          page:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                            exclusiveMinimum: 0
                          top:
                            type: number
                            minimum: 0
                          left:
                            type: number
                            minimum: 0
                          width:
                            type: number
                            exclusiveMinimum: 0
                          height:
                            type: number
                            exclusiveMinimum: 0
                          label:
                            type: string
                            maxLength: 120
                        required:
                          - key
                          - type
                          - page
                          - top
                          - left
                          - width
                          - height
                    createdAt:
                      type: string
                      format: date-time
                    updatedAt:
                      type: string
                      format: date-time
                    archivedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: 'null'
                    archivedBy:
                      anyOf:
                        - type: string
                        - type: 'null'
                    isDeleted:
                      type: boolean
                    deletedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: 'null'
                  required:
                    - id
                    - organizationId
                    - environment
                    - category
                    - scope
                    - name
                    - description
                    - filename
                    - storagePath
                    - sha256
                    - size
                    - version
                    - status
                    - activeFrom
                    - supersededAt
                    - supersededByTemplateId
                    - places
                    - createdAt
                    - updatedAt
                    - archivedAt
                    - archivedBy
                    - isDeleted
                    - deletedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````